{ lib, canix, ... }: with lib; {

  options = {

    name = mkOption {
      description = ''
        The name of the database.
      '';
      type = types.singleLineStr;
      defaultText = "The name specified by the client resource.";
    };

    username = mkOption {
      description = ''
        The username used by clients to connect to this database.
      '';
      type = types.singleLineStr;
      # TODO: will have to be changed to the qualified name of the 
      #       client resource rather than the database name
      defaultText = "The name of the database";
    };

    password = canix.mkPasswordOption {
      description = ''
        The password used by clients to connect to this database.
      '';
      defaultText = "The password generated by the client resource.";
    };

    address = mkOption {
      description = ''
        The source address used by clients to connect to this database.
      '';
      type = types.singleLineStr;
      defaultText = "The client node's `internalAddress`.";
    };

  };
}
